import type { NativeContextParams, NativeLlamaContext, NativeCompletionParams, NativeCompletionTokenProb, NativeTokenizeResult, NativeEmbeddingResult } from './NativeRNLlama';
import { SchemaGrammarConverter, convertJsonSchemaToGrammar } from './grammar';
export { SchemaGrammarConverter, convertJsonSchemaToGrammar };
export type TokenData = {
    token: string;
    completion_probabilities?: Array<NativeCompletionTokenProb>;
};
export type ContextParams = NativeContextParams;
export type CompletionParams = NativeCompletionParams;
export declare class LlamaContext {
    id: number;
    gpu: boolean;
    reasonNoGPU: string;
    constructor({ contextId, gpu, reasonNoGPU, }: NativeLlamaContext);
    completion(params: CompletionParams, callback: (data: TokenData) => void): Promise<import("./NativeRNLlama").NativeCompletionResult>;
    stopCompletion(): Promise<void>;
    tokenize(text: string): Promise<NativeTokenizeResult>;
    detokenize(tokens: number[]): Promise<string>;
    embedding(text: string): Promise<NativeEmbeddingResult>;
    release(): Promise<void>;
}
export declare function setContextLimit(limit: number): Promise<void>;
export declare function initLlama({ model, is_model_asset: isModelAsset, ...rest }: ContextParams): Promise<LlamaContext>;
export declare function releaseAllLlama(): Promise<void>;
//# sourceMappingURL=index.d.ts.map